diff --git a/functional/ControlsTests/coverage.fcov b/functional/ControlsTests/coverage.fcov
--- a/functional/ControlsTests/coverage.fcov
+++ b/functional/ControlsTests/coverage.fcov
@@ -1,31 +1,31 @@
-javafx.scene.control.ScrollPane.prefViewportWidth.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPrefViewPortWidthOptionTest();FULL
+javafx.scene.control.ScrollPane.prefViewportWidth.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPrefViewPortWidthOptionTest(),javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkMinViewPortWidthSetTest();FULL
 javafx.scene.control.ColorPicker.value.GET;javafx.scene.control.test.colorpicker.ColorPickerTest.colorPropertyTest();FULL
 com.sun.javafx.scene.control.Pagination.currentpageindex.DEFAULT;javafx.scene.control.test.pagination.PaginationTest.currentPageIndexPropertyTest();FULL
 com.sun.javafx.scene.control.Pagination.pageindicatorcount.GET;javafx.scene.control.test.pagination.PaginationTest.pageIndicatorCountTest();FULL
-javafx.scene.control.Button.cancelButton.SET;javafx.scene.control.test.ButtonsTest.cancelButtonTest();FULL
-javafx.scene.control.Button.text.GET;javafx.scene.control.test.ButtonsTest.binding();FULL
-javafx.scene.control.MenuItem.onHidden.GET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest();FULL
+javafx.scene.control.Button.cancelButton.SET;javafx.scene.control.test.ButtonsTest.cancelButtonTest(),javafx.scene.control.test.mix.ButtonsTest.cancelButtonTest();FULL
+javafx.scene.control.Button.text.GET;javafx.scene.control.test.ButtonsTest.binding(),javafx.scene.control.test.mix.ButtonsTest.binding();FULL
+javafx.scene.control.MenuItem.onHidden.GET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest(),javafx.scene.control.test.mix.MenuTest.apiTest(),javafx.scene.control.test.mix.MenuTest.dropTest();FULL
 com.sun.javafx.scene.control.Pagination.pageindicatorcount.BIND;javafx.scene.control.test.pagination.PaginationTest.pageIndicatorCountTest();FULL
-javafx.scene.control.Button.defaultButton.BIND;javafx.scene.control.test.ButtonsTest.defaultButtonTest();FULL
+javafx.scene.control.Button.defaultButton.BIND;javafx.scene.control.test.ButtonsTest.defaultButtonTest(),javafx.scene.control.test.mix.ButtonsTest.defaultButtonTest();FULL
 javafx.scene.control.ScrollPane.hmin.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkHMinOptionTest();FULL
-javafx.scene.control.Button.cancelButton.GET;javafx.scene.control.test.ButtonsTest.cancelButtonTest();FULL
-javafx.scene.control.MenuItem.onHidden.SET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest();FULL
-javafx.scene.control.CheckBox.indeterminate.SET;javafx.scene.control.test.ChecksTest.checks();FULL
-javafx.scene.control.CheckBox.selected.GET;javafx.scene.control.test.tableview.TableViewApp.getControlsContainer(),javafx.scene.control.test.ChecksTest.checks();FULL
-javafx.scene.control.Button.text.SET;javafx.scene.control.test.ButtonsTest.binding();FULL
-javafx.scene.control.Tooltip.activated.GET;javafx.scene.control.test.TooltipTest.enabled();FULL
+javafx.scene.control.Button.cancelButton.GET;javafx.scene.control.test.ButtonsTest.cancelButtonTest(),javafx.scene.control.test.mix.ButtonsTest.cancelButtonTest();FULL
+javafx.scene.control.MenuItem.onHidden.SET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest(),javafx.scene.control.test.mix.MenuTest.apiTest(),javafx.scene.control.test.mix.MenuTest.dropTest();FULL
+javafx.scene.control.CheckBox.indeterminate.SET;javafx.scene.control.test.ChecksTest.checks(),javafx.scene.control.test.mix.ChecksTest.checks();FULL
+javafx.scene.control.CheckBox.selected.GET;javafx.scene.control.test.tableview.TableViewApp.getControlsContainer(),javafx.scene.control.test.ChecksTest.checks(),javafx.scene.control.test.mix.ChecksTest.checks();FULL
+javafx.scene.control.Button.text.SET;javafx.scene.control.test.ButtonsTest.binding(),javafx.scene.control.test.mix.ButtonsTest.binding();FULL
+javafx.scene.control.Tooltip.activated.GET;javafx.scene.control.test.TooltipTest.enabled(),javafx.scene.control.test.mix.TooltipTest.enabled();FULL
 javafx.scene.control.ChoiceBox.showing.BIND;javafx.scene.control.test.choicebox.ChoiceBoxApp.getScene();FULL
 javafx.scene.control.SingleSelectionModel.selectedItem.BIND;javafx.scene.control.test.choicebox.ChoiceBoxApp.getScene();FULL
 javafx.scene.control.ChoiceBox.showing.GET;javafx.scene.control.test.choicebox.ChoiceBoxApp.getScene();FULL
 com.sun.javafx.scene.control.Pagination.currentpageindex.BEHAVIOR;javafx.scene.control.test.pagination.PaginationTest.currentPageIndexPropertyTest();FULL
 javafx.scene.control.ColorPicker.value.SET;javafx.scene.control.test.colorpicker.ColorPickerTest.colorPropertyTest();FULL
 javafx.scene.control.ColorPicker.value.DEFAULT;javafx.scene.control.test.colorpicker.ColorPickerTest.colorPropertyTest();FULL
-javafx.scene.control.CheckBox.indeterminate.GET;javafx.scene.control.test.ChecksTest.checks();FULL
-javafx.scene.control.CheckBox.selected.SET;javafx.scene.control.test.tableview.TableViewApp.getControlsContainer(),javafx.scene.control.test.ChecksTest.checks();FULL
-javafx.scene.control.MenuItem.onHiding.SET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest();FULL
+javafx.scene.control.CheckBox.indeterminate.GET;javafx.scene.control.test.ChecksTest.checks(),javafx.scene.control.test.mix.ChecksTest.checks();FULL
+javafx.scene.control.CheckBox.selected.SET;javafx.scene.control.test.tableview.TableViewApp.getControlsContainer(),javafx.scene.control.test.ChecksTest.checks(),javafx.scene.control.test.mix.ChecksTest.checks();FULL
+javafx.scene.control.MenuItem.onHiding.SET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest(),javafx.scene.control.test.mix.MenuTest.apiTest(),javafx.scene.control.test.mix.MenuTest.dropTest();FULL
 javafx.scene.control.ScrollPane.vbarPolicy.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkHVBarPolicyOptionTest();FULL
 javafx.scene.control.ScrollPane.fitToWidth.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkFitToWidthAndHeightOptionTest();FULL
-javafx.scene.control.Tooltip.activated.SET;javafx.scene.control.test.TooltipTest.enabled();FULL
+javafx.scene.control.Tooltip.activated.SET;javafx.scene.control.test.TooltipTest.enabled(),javafx.scene.control.test.mix.TooltipTest.enabled();FULL
 javafx.scene.control.ScrollPane.pannable.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPannableOptionTest();FULL
 com.sun.javafx.scene.control.Pagination.pagecount.DEFAULT;javafx.scene.control.test.pagination.PaginationTest.pageCountPropertyTest();FULL
 javafx.scene.control.CheckMenuItem.selected.SET;javafx.scene.control.test.tableview.TableViewApp.createColumn();FULL
@@ -33,28 +33,28 @@
 javafx.scene.control.SingleSelectionModel.selectedItem.GET;javafx.scene.control.test.choicebox.ChoiceBoxApp.getScene();FULL
 com.sun.javafx.scene.control.Pagination.currentpageindex.BIND;javafx.scene.control.test.pagination.PaginationTest.currentPageIndexPropertyTest();FULL
 javafx.scene.control.SingleSelectionModel.selectedItem.SET;javafx.scene.control.test.choicebox.ChoiceBoxApp.getScene();FULL
-javafx.scene.control.MenuItem.onHiding.GET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest();FULL
+javafx.scene.control.MenuItem.onHiding.GET;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest(),javafx.scene.control.test.mix.MenuTest.apiTest(),javafx.scene.control.test.mix.MenuTest.dropTest();FULL
 TreeView.onEditStartProperty.SET;javafx.scene.control.test.treeview.TreeViewTest.testOnEditStartCancel();FULL
 TreeView.onEditCommitProperty.GET;javafx.scene.control.test.treeview.TreeViewTest.testOnEditOnCancelEventSequence();FULL
 com.sun.javafx.scene.control.Pagination.pagefactory.BEHAVIOR;javafx.scene.control.test.pagination.PaginationTest.factoryChangingTest();FULL
 com.sun.javafx.scene.control.Pagination.pagecount.BIND;javafx.scene.control.test.pagination.PaginationTest.pageCountPropertyTest();FULL
-javafx.scene.control.ScrollPane.prefViewportWidth.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPrefViewPortWidthOptionTest();FULL
+javafx.scene.control.ScrollPane.prefViewportWidth.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPrefViewPortWidthOptionTest(),javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkMinViewPortWidthSetTest();FULL
 com.sun.javafx.scene.control.Pagination.pagecount.BEHAVIOR;javafx.scene.control.test.pagination.PaginationTest.pageCountPropertyTest();FULL
 javafx.scene.control.ScrollPane.prefViewportHeight.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPrefViewPortHeightOptionTest();FULL
-javafx.scene.control.MenuItem.disable.SET;javafx.scene.control.test.MenuItemTest.disableTest();FULL
+javafx.scene.control.MenuItem.disable.SET;javafx.scene.control.test.MenuItemTest.disableTest(),javafx.scene.control.test.mix.MenuItemTest.disableTest();FULL
 TreeView.onEditStartProperty.GET;javafx.scene.control.test.treeview.TreeViewTest.testOnEditOnCancelEventSequence();FULL
 TreeView.onEditCommitProperty.SET;javafx.scene.control.test.treeview.TreeViewTest.testOnEditCommit();FULL
 javafx.scene.control.CheckMenuItem.selected.GET;javafx.scene.control.test.tableview.TableViewApp.createColumn();FULL
 javafx.scene.control.ScrollPane.fitToHeight.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkFitToWidthAndHeightOptionTest();FULL
 javafx.scene.control.ScrollPane.hbarPolicy.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkHVBarPolicyOptionTest();FULL
-javafx.scene.control.MenuItem.visible.BIND;javafx.scene.control.test.MenuItemTest.visibleTest();FULL
+javafx.scene.control.MenuItem.visible.BIND;javafx.scene.control.test.MenuItemTest.visibleTest(),javafx.scene.control.test.mix.MenuItemTest.visibleTest();FULL
 javafx.scene.control.ScrollPane.hmax.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkHMaxOptionTest();FULL
 javafx.scene.control.ScrollPane.vmax.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkVMaxOptionTest();FULL
 javafx.scene.control.ScrollPane.prefViewportHeight.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPrefViewPortHeightOptionTest();FULL
 javafx.scene.control.ScrollPane.hmin.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkHMinOptionTest();FULL
-javafx.scene.control.MenuItem.disable.GET;javafx.scene.control.test.MenuItemTest.disableTest();FULL
-javafx.scene.control.MenuItem.onHidden.BIND;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest();FULL
-javafx.scene.control.MenuItem.disable.BIND;javafx.scene.control.test.MenuItemTest.disableTest();FULL
+javafx.scene.control.MenuItem.disable.GET;javafx.scene.control.test.MenuItemTest.disableTest(),javafx.scene.control.test.mix.MenuItemTest.disableTest();FULL
+javafx.scene.control.MenuItem.onHidden.BIND;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest(),javafx.scene.control.test.mix.MenuTest.apiTest(),javafx.scene.control.test.mix.MenuTest.dropTest();FULL
+javafx.scene.control.MenuItem.disable.BIND;javafx.scene.control.test.MenuItemTest.disableTest(),javafx.scene.control.test.mix.MenuItemTest.disableTest();FULL
 javafx.scene.control.ScrollPane.viewportBounds.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.boundsTest();FULL
 TreeView.onEditCancelProperty.GET;javafx.scene.control.test.treeview.TreeViewTest.testOnEditOnCancelEventSequence();FULL
 javafx.scene.control.ScrollPane.pannable.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkPannableOptionTest();FULL
@@ -65,30 +65,30 @@
 com.sun.javafx.scene.control.Pagination.currentpageindex.SET;javafx.scene.control.test.pagination.PaginationTest.currentPageIndexPropertyTest();FULL
 javafx.scene.control.ScrollPane.vbarPolicy.GET;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkHVBarPolicyOptionTest();FULL
 javafx.scene.control.ListView.selectionModel.GET;javafx.scene.control.test.ListView.ListViewApp.getTestContainer();FULL
-javafx.scene.control.MenuItem.visible.SET;javafx.scene.control.test.MenuItemTest.visibleTest();FULL
+javafx.scene.control.MenuItem.visible.SET;javafx.scene.control.test.MenuItemTest.visibleTest(),javafx.scene.control.test.mix.MenuItemTest.visibleTest();FULL
 javafx.scene.control.ScrollPane.fitToWidth.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkFitToWidthAndHeightOptionTest();FULL
-javafx.scene.control.Button.cancelButton.BIND;javafx.scene.control.test.ButtonsTest.cancelButtonTest();FULL
-javafx.scene.control.CheckBox.selected.DEFAULT;javafx.scene.control.test.ChecksTest.checks();FULL
+javafx.scene.control.Button.cancelButton.BIND;javafx.scene.control.test.ButtonsTest.cancelButtonTest(),javafx.scene.control.test.mix.ButtonsTest.cancelButtonTest();FULL
+javafx.scene.control.CheckBox.selected.DEFAULT;javafx.scene.control.test.ChecksTest.checks(),javafx.scene.control.test.mix.ChecksTest.checks();FULL
 javafx.scene.control.ChoiceBox.showing.DEFAULT;javafx.scene.control.test.choicebox.ChoiceBoxApp.getScene();FULL
-javafx.scene.control.MenuItem.visible.GET;javafx.scene.control.test.MenuItemTest.visibleTest();FULL
+javafx.scene.control.MenuItem.visible.GET;javafx.scene.control.test.MenuItemTest.visibleTest(),javafx.scene.control.test.mix.MenuItemTest.visibleTest();FULL
 com.sun.javafx.scene.control.Pagination.currentpageindex.GET;javafx.scene.control.test.pagination.PaginationTest.currentPageIndexPropertyTest();FULL
 TreeView.onEditCancelProperty.SET;javafx.scene.control.test.treeview.TreeViewTest.testOnEditStartCancel();FULL
 javafx.scene.control.ChoiceBox.showing.SET;javafx.scene.control.test.choicebox.ChoiceBoxApp.getScene();FULL
 com.sun.javafx.scene.control.Pagination.pagecount.GET;javafx.scene.control.test.pagination.PaginationTest.pageCountPropertyTest();FULL
-javafx.scene.control.Button.defaultButton.GET;javafx.scene.control.test.ButtonsTest.defaultButtonTest();FULL
-javafx.scene.control.MenuItem.onHiding.BIND;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest();FULL
+javafx.scene.control.Button.defaultButton.GET;javafx.scene.control.test.ButtonsTest.defaultButtonTest(),javafx.scene.control.test.mix.ButtonsTest.defaultButtonTest();FULL
+javafx.scene.control.MenuItem.onHiding.BIND;javafx.scene.control.test.MenuTest.apiTest(),javafx.scene.control.test.MenuTest.dropTest(),javafx.scene.control.test.mix.MenuTest.apiTest(),javafx.scene.control.test.mix.MenuTest.dropTest();FULL
 com.sun.javafx.scene.control.Pagination.pageindicatorcounts.SET;javafx.scene.control.test.pagination.PaginationTest.pageIndicatorCountTest();FULL
 javafx.scene.control.ScrollPane.vmax.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkVMaxOptionTest();FULL
 com.sun.javafx.scene.control.Pagination.pageindicatorcount.BEHAVIOR;javafx.scene.control.test.pagination.PaginationTest.pageIndicatorCountTest();FULL
-javafx.scene.control.CheckBox.indeterminate.DEFAULT;javafx.scene.control.test.ChecksTest.checks();FULL
+javafx.scene.control.CheckBox.indeterminate.DEFAULT;javafx.scene.control.test.ChecksTest.checks(),javafx.scene.control.test.mix.ChecksTest.checks();FULL
 com.sun.javafx.scene.control.Pagination.pagecount.SET;javafx.scene.control.test.pagination.PaginationTest.pageCountPropertyTest();FULL
 com.sun.javafx.scene.control.Pagination.pagefactory.GET;javafx.scene.control.test.pagination.PaginationTest.factoryChangingTest();FULL
-javafx.scene.control.Button.defaultButton.SET;javafx.scene.control.test.ButtonsTest.defaultButtonTest();FULL
-javafx.scene.control.Button.cancelButton.DEFAULT;javafx.scene.control.test.ButtonsTest.cancelButtonTest();FULL
-javafx.scene.control.Button.defaultButton.DEFAULT;javafx.scene.control.test.ButtonsTest.defaultButtonTest();FULL
-javafx.scene.control.Button.text.BIND;javafx.scene.control.test.ButtonsTest.binding();FULL
+javafx.scene.control.Button.defaultButton.SET;javafx.scene.control.test.ButtonsTest.defaultButtonTest(),javafx.scene.control.test.mix.ButtonsTest.defaultButtonTest();FULL
+javafx.scene.control.Button.cancelButton.DEFAULT;javafx.scene.control.test.ButtonsTest.cancelButtonTest(),javafx.scene.control.test.mix.ButtonsTest.cancelButtonTest();FULL
+javafx.scene.control.Button.defaultButton.DEFAULT;javafx.scene.control.test.ButtonsTest.defaultButtonTest(),javafx.scene.control.test.mix.ButtonsTest.defaultButtonTest();FULL
+javafx.scene.control.Button.text.BIND;javafx.scene.control.test.ButtonsTest.binding(),javafx.scene.control.test.mix.ButtonsTest.binding();FULL
 com.sun.javafx.scene.control.Pagination.pageindicatorcount.DEFAULT;javafx.scene.control.test.pagination.PaginationTest.pageIndicatorCountTest();FULL
-javafx.scene.control.Button.text.DEFAULT;javafx.scene.control.test.ButtonsTest.binding();FULL
+javafx.scene.control.Button.text.DEFAULT;javafx.scene.control.test.ButtonsTest.binding(),javafx.scene.control.test.mix.ButtonsTest.binding();FULL
 javafx.scene.control.ScrollPane.hmax.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkHMaxOptionTest();FULL
 javafx.scene.control.ScrollPane.fitToHeight.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkFitToWidthAndHeightOptionTest();FULL
 javafx.scene.control.ScrollPane.vmin.DEFAULT;javafx.scene.control.test.ScrollPane.ScrollPaneTest.checkVMinOptionTest();FULL
diff --git a/functional/ControlsTests/src/javafx/commons/ControlChooserApp.java b/functional/ControlsTests/src/javafx/commons/ControlChooserApp.java
--- a/functional/ControlsTests/src/javafx/commons/ControlChooserApp.java
+++ b/functional/ControlsTests/src/javafx/commons/ControlChooserApp.java
@@ -39,9 +39,7 @@
 import javafx.scene.control.test.utils.ptables.PropertiesTable;
 import javafx.scene.layout.HBox;
 import javafx.scene.layout.Pane;
-import javafx.scene.layout.PaneBuilder;
 import javafx.scene.layout.VBox;
-import javafx.scene.layout.VBoxBuilder;
 import test.javaclient.shared.InteroperabilityApp;
 import test.javaclient.shared.Utils;
 
@@ -55,9 +53,7 @@
 
     private VBox spaceForNode;
     private PropertiesTable propertiesTable;
-    private Pane propertiesPane = PaneBuilder.create()
-            .style("-fx-border-color:BLUE")
-            .build();
+    private Pane propertiesPane;
 
     public static void main(String[] args) {
         Utils.launch(javafx.commons.ControlChooserApp.class, args);
@@ -106,6 +102,9 @@
     }
 
     private Parent getContent() {
+        propertiesPane = new Pane();
+        propertiesPane.setStyle("-fx-border-color:BLUE");
+
         spaceForNode = new VBox(10);
         spaceForNode.setAlignment(Pos.CENTER);
         spaceForNode.setMinWidth(300);
@@ -121,11 +120,8 @@
         controls.getChildren().add(createNodeChooser());
         controls.setStyle("-fx-border-color:GREEN");
 
-        VBox vBox = VBoxBuilder.create()
-                .children(spaceForNode, controls)
-                .spacing(10d)
-                .build();
-
+        VBox vBox = new VBox(spaceForNode, controls);
+        vBox.setSpacing(10d);
         HBox hBox = new HBox(10);
         hBox.setAlignment(Pos.TOP_LEFT);
         hBox.getChildren().addAll(
diff --git a/functional/ControlsTests/src/javafx/draganddrop/DragDropWithControls.java b/functional/ControlsTests/src/javafx/draganddrop/DragDropWithControls.java
--- a/functional/ControlsTests/src/javafx/draganddrop/DragDropWithControls.java
+++ b/functional/ControlsTests/src/javafx/draganddrop/DragDropWithControls.java
@@ -50,14 +50,13 @@
 import javafx.scene.Parent;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.CheckBox;
 import javafx.scene.control.ChoiceBox;
 import javafx.scene.control.Label;
 import javafx.scene.control.Separator;
 import javafx.scene.control.TextField;
 import javafx.scene.image.Image;
-import javafx.scene.image.ImageViewBuilder;
+import javafx.scene.image.ImageView;
 import javafx.scene.input.Clipboard;
 import javafx.scene.input.ClipboardContent;
 import javafx.scene.input.DataFormat;
@@ -293,15 +292,16 @@
                 createTMSelect(sourceModes));
 
         VBox rbox = new VBox(10);
-        rbox.getChildren().addAll(new Text("Data formats:"),
-                createFormatSelect(sourceFormats),
-                ButtonBuilder.create().text("Put to clipboard")
-                .id(ID_TO_CLIPBOARD_BUTTON)
-                .onAction(new EventHandler<ActionEvent>() {
+        Button b = new Button("Put to clipboard");
+        b.setId(ID_TO_CLIPBOARD_BUTTON);
+        b.setOnAction(new EventHandler<ActionEvent>() {
             public void handle(ActionEvent t) {
                 Clipboard.getSystemClipboard().setContent(prepareClipboardContent());
             }
-        }).build());
+        });
+        rbox.getChildren().addAll(new Text("Data formats:"),
+                createFormatSelect(sourceFormats),
+                b);
 
         HBox hbox = new HBox(10);
         hbox.getChildren().addAll(lbox, new Separator(Orientation.VERTICAL), rbox);
@@ -342,10 +342,13 @@
         useCustomViewCB = new CheckBox("Use custom drag view.");
 
         VBox box = new VBox(10);
+        ImageView i = new ImageView();
+        i.setImage(CONTENT_IMAGE);
+        i.setId(ID_SRC_IMAGE);
         box.getChildren().addAll(hbox, new Separator(), fileHdr,
                 fileNames, tb, btns,
                 useCustomViewCB, new Text("Image: "),
-                ImageViewBuilder.create().image(CONTENT_IMAGE).id(ID_SRC_IMAGE).build(),
+                i,
                 log);
         if (parameters.size() > 0) {
             box.setStyle("-fx-background-color: " + parameters.get(0) + ";");
@@ -370,12 +373,14 @@
                 createControlCombo(targetControlPane, false), new Text("Target transfer modes:"), createTMSelect(targetModes));
 
         VBox rbox = new VBox(10);
-        rbox.getChildren().addAll(new Text("Data formats:"), createFormatSelect(targetFormats),
-                ButtonBuilder.create().text("paste from clipboard").id(ID_FROM_CLIPBOARD_BUTTON).onAction(new EventHandler<ActionEvent>() {
+        Button b = new Button("paste from clipboard");
+        b.setId(ID_FROM_CLIPBOARD_BUTTON);
+        b.setOnAction(new EventHandler<ActionEvent>() {
             public void handle(ActionEvent t) {
                 getDataFromClipboard(Clipboard.getSystemClipboard());
             }
-        }).build());
+        });
+        rbox.getChildren().addAll(new Text("Data formats:"), createFormatSelect(targetFormats), b);
 
         VBox content = new VBox(10);
         content.getChildren().addAll(new Text("Transfered content:"), transferedContentPane);
@@ -400,6 +405,9 @@
             public void changed(ObservableValue<? extends NodeFactory> ov, NodeFactory t, NodeFactory t1) {
                 Node ctrl = null;
                 ctrl = t1.createNode();
+                if (ctrl instanceof ImageView) {
+                    ctrl.setPickOnBounds(true);
+                }
                 if (source) {
                     ctrl.setId(ID_DRAG_SOURCE);
                 } else {
@@ -569,7 +577,9 @@
         }
         if (targetFormats.contains(DataFormat.IMAGE) && cb.hasImage()) {
             receivedContent.put(DataFormat.IMAGE, cb.getImage());
-            transferedContentPane.getChildren().addAll(new Text("Image: "), ImageViewBuilder.create().image(cb.getImage()).id(ID_RECEIVED_IMAGE).build());
+            ImageView i = new ImageView(cb.getImage());
+            i.setId(ID_RECEIVED_IMAGE);
+            transferedContentPane.getChildren().addAll(new Text("Image: "), i);
             log("Dropped image: " + cb.getImage());
             gotData = true;
         }
